Skip to content

Changelog libgnome-keyring (3.12.0-1build1~0ppa1~focal+10.0trisquel1)

2021

libgnome-keyring (3.12.0-1build1~0ppa1~focal+10.0trisquel1) nabia-backports; urgency=medium

   * Backported from ppa

2020

libgnome-keyring (3.12.0-1build1~0ppa1~focal) focal; urgency=medium

   * Upload for Focal

2019

libgnome-keyring (3.12.0-1build1~0ppa1~eoan3) eoan; urgency=medium

   * Upload for Eoan
   * Added libgnome-keyring-vapi-build-fix.patch
   * Disable gtk-doc as it fails to build on eoan

2014

libgnome-keyring (3.12.0-1) unstable; urgency=low

   [ Jeremy Bicha ]
   * Update homepage
 
   [ Laurent Bigonville ]
   * debian/rules: Use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS to not
     override hardening flags
 
   [ Jackson Doak ]
   * New upstream release
 
   [ Andreas Henriksson ]
   * Disable tests on kfreebsd for now.
     - this should be reverted once kfreebsd buildds has been upgraded to
       kfreebsd-10 kernel which has working mlock.

2013

libgnome-keyring (3.8.0-2) unstable; urgency=low

   [ Jeremy Bicha ]
   * debian/control.in:
     - Drop alternate build-depends on valac-0.18 since it's no longer
       in Debian
 
   [ Michael Biebl ]
   * Upload to unstable.
   * Make test-suite failures fatal.
   * Bump Standards-Version to 3.9.4. No further changes.

libgnome-keyring (3.8.0-1) experimental; urgency=low

   [ Thomas Bechtold ]
   * New upstream release.
   * debian/libgnome-keyring0.symbols: Add new symbol.
   * debian/control.in: Depend on valac >= 0.18 to be able
     to build the gobject-introspection gir file.

2012

libgnome-keyring (3.6.0-1) experimental; urgency=low

   * new upstream release
   * debian/control.in: Add depends on
       valac (>= 0.16) | valac-0.16 for vapi
   * debian/control.in: Add depends on python-{dbus,gobject}
   * debian/libgnome-keyring-dev.install: Install vapi file
   * debian/patches/99_ltmain_as-needed.patch:
     debian/rules
     + Remove patch, call dh-autoreconf with --as-needed

libgnome-keyring (3.4.1-1) unstable; urgency=low

   * New upstream release.

libgnome-keyring (3.4.0-1) unstable; urgency=low

   * New upstream release.
   * Remove 00git_introspection.patch, merged upstream.
   * Update 99_ltmain_as-needed.patch to dh-autoreconf's version.
   * Update to debhelper v9.
   * Bump Standards-Version to 3.9.3, with no further changes.
   * Watch for .xz tarballs.
   * Update Vcs-* URLs.
   * Stop configuring with --enable-static and drop .a files.
   * Pass -c4 to dh_makeshlibs.

libgnome-keyring (3.2.2-2) unstable; urgency=low

   * Add gobject-introspection support: (Closes: #632617, LP: #802173)
     - Add 00git_introspection.patch: Already accepted upstream, backported to
       3.2.2.
     - debian/control.in: Add gir1.2-gnomekeyring-1.0 binary package and GI
       build dependencies. Also add dh-autoreconf build dependency.
     - debian/rules: Use dh-autoreconf cdbs module.
     - Add debian/gir1.2-gnomekeyring-1.0.install: Install typelib.
     - debian/libgnome-keyring-dev.install: Install .gir.
     - debian/libgnome-keyring0.symbols: Add new symbols from
       00git_introspection.patch.

2011

libgnome-keyring (3.2.2-1) unstable; urgency=low

   [ Josselin Mouette ]
   * Split translations in a separate package, libgnome-keyring-common.
     Make it M-A: foreign.
 
   [ Martin Pitt ]
   * New upstream bug fix release.

libgnome-keyring (3.2.0-3) unstable; urgency=low

   * Build multiarch libraries, thanks Steve Langasek for the patch!
     (Closes: #646202)

libgnome-keyring (3.2.0-2) unstable; urgency=low

   * Don't make test-suite failure fatal as long as kfreebsd hasn't been fixed.

libgnome-keyring (3.2.0-1) unstable; urgency=low

   * New upstream release.
   * Bump debhelper compatibility level to 8.
   * Change priority of libgnome-keyring0-dbg to extra and add ${misc:Depends}.
   * debian/rules: Build gtk-doc documentation.

libgnome-keyring (3.0.3-1) unstable; urgency=low

   * New upstream bug fix release.
   * Drop 01-fix-crash-from-memleak-fix.patch, applied upstream.
   * debian/watch: Move to *.bz2, upstream does not release .gz tarballs any
     more.

libgnome-keyring (3.0.2-2) unstable; urgency=low

   * Add 01-fix-crash-from-memleak-fix.patch: Fix crash from recent memleak
     fix. (See GNOME #650840)

libgnome-keyring (3.0.2-1) unstable; urgency=low

   [ Jordi Mallach ]
   * Add a libgnome-keyring0-dbg package (closes: #576231).
 
   [ Martin Pitt ]
   * New upstream release.
   * debian/rules: Run upstream test suite during build.

libgnome-keyring (3.0.0-2) unstable; urgency=medium

   [ Josselin Mouette ]
   * Break gnome-keyring < 3.0.

libgnome-keyring (3.0.0-1) unstable; urgency=low

   * New upstream stable release.
   * Bump Standards-Version to 3.9.2 (no changes required).

libgnome-keyring (2.32.0-1) unstable; urgency=low

   * New upstream release.
   * Fix watch file to track libgnome-keyring and not gnome-keyring.
   * Switch to source format 3.0 (quilt)
     - Add debian/source/format.
     - Drop Build-Depends on quilt.
     - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
   * Drop Build-Depends on deprecated libeggdbus-1-dev. (Closes: #615918)
   * Bump Standards-Version to 3.9.1. No further changes.
   * Add Homepage and Vcs-* fields.

2010

libgnome-keyring (2.30.1-1) unstable; urgency=low

   * New upstream bugfix release.

libgnome-keyring (2.30.0-2) unstable; urgency=low

   * Break gnome-keyring < 2.30 since the protocol has changed.

libgnome-keyring (2.30.0-1) unstable; urgency=low

   * Initial upload, based on the gnome-keyring source package.